[![PyPI version shields.io](https://img.shields.io/pypi/v/tkintertable.svg)](https://pypi.python.org/pypi/tkintertable/)
[![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)

## About

<img align="right" src=https://raw.githubusercontent.com/dmnfarrell/tkintertable/master/img/logo.png width=150px>

Python uses a GUI library called Tkinter as default. This set of classes allows interactive spreadsheet-style tables to be added into an application. Tkinter is the standard GUI toolkit for python. It is old but still quite popular. There are various libraries that extend Tkinter functionality, such as Pmw, but there is currently no extendable table class for Tkinter. A sample application using these classes is included in the distribution.

**This library is also now Python 3 compatible**

## Installation

```
pip install tkintertable
``` 

Install latest from github:

```
pip install -e git+https://github.com/dmnfarrell/tkintertable.git#egg=tkintertable
```

You can clone the current source using:

```
git clone https://github.com/dmnfarrell/tkintertable.git
```

## Usage

See the [wiki](https://github.com/dmnfarrell/tkintertable/wiki/Usage) for how to use the table in Python.

## API docs

For programmers, the module documentation is at http://dmnfarrell.github.io/tkintertable/index.html. You are encouraged to subclass the TableCanvas class to add new functionality.

##  See also

https://github.com/dmnfarrell/pandastable
